org.slf4j.impl

## Class StaticMDCBinder

- java.lang.Object
- - org.slf4j.impl.StaticMDCBinder

    public class StaticMDCBinder
    extends java.lang.Object

This implementation is bound to `LogbackMDCAdapter`.

Author:
  Ceki Gülcü

### Field Summary

Fields
`static StaticMDCBinder` `SINGLETON` The unique instance of this class.

### Method Summary

Methods
`org.slf4j.spi.MDCAdapter` `getMDCA()` Currently this method always returns an instance of `StaticMDCBinder`.
`java.lang.String` `getMDCAdapterClassStr()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SINGLETON

    public static final StaticMDCBinder SINGLETON

The unique instance of this class.

### Method Detail

#### getMDCA

    public org.slf4j.spi.MDCAdapter getMDCA()

Currently this method always returns an instance of `StaticMDCBinder`.

#### getMDCAdapterClassStr

    public java.lang.String getMDCAdapterClassStr()